searchData={"items":[{"type":"extras","title":"M5Stack MP135","doc":"# M5Stack MP135\n\nThis is the Nerves System configuration for the\n[M5CoreMP135](hhttps://docs.m5stack.com/en/core/M5CoreMP135)\n\n![M5CoreMP135](https://static-cdn.m5stack.com/resource/docs/products/core/M5CoreMP135/img-e1972b35-73c9-4a6c-a91f-adcd915b7771.webp)\n\n\n| Feature              | Description                     |\n| -------------------- | ------------------------------- |\n| CPU                  | STM32MP135DAE7@Arm Cortex-A7@1GHz |\n| Memory               | 512 MB DRAM                 |\n| Storage              | MicroSD card                    |\n| Linux Kernel         | 5.15                             |\n| IEx terminal         | HDMI and USB keyboard (can be changed to UART)|\n| GPIO, I2C, SPI       | Yes - [Elixir Circuits](https://github.com/elixir-circuits) |\n| ADC                  | No                              |\n| PWM                  | Yes, but no Elixir support      |\n| UART                 | ttySTM0 + more via device tree overlay |\n| LCD                  | Yes                             |\n| Camera               | None                            |\n| Ethernet             | 2x RJ45                         |\n| WiFi                 | No                              |\n| Bluetooth            | No                              |\n| Audio                | TBD                             |\n\n# Project Status\n\nThis project is still a work in progress, and any issues will be tracked and resolved through GitHub. While I’m passionate about Nerves, I’m not an expert on Core MP135, so any help with fixes would be greatly appreciated. Contributions through pull requests are very welcome!\n\n\n\n# Using\n\ncreate a project with `mix nerves.new`\n\nadd `{:nerves_system_m5stack_core_mp135, \"~> 0.0.7\", runtime: false, targets: :m5stack_core_mp135}` in deps in mix.exs\n\nadd `:m5stack_core_mp135` in the `@all_targets` in mix.exs\n\nexport `MIX_TARGET=m5stack_core_mp135`.\n\nrun `mix deps.get`\n\nrun `mix firmware`\n\nSee the [Getting started guide](https://hexdocs.pm/nerves/getting-started.html#creating-a-new-nerves-app)for more information.","ref":"readme.html"},{"type":"extras","title":"Provisioning devices - M5Stack MP135","doc":"This system supports storing provisioning information in a small key-value store\noutside of any filesystem. Provisioning is an optional step and reasonable\ndefaults are provided if this is missing.\n\nProvisioning information can be queried using the Nerves.Runtime KV store's\n[`Nerves.Runtime.KV.get/1`](https://hexdocs.pm/nerves_runtime/Nerves.Runtime.KV.html#get/1)\nfunction.\n\nKeys used by this system are:\n\nKey                    | Example Value     | Description\n:--------------------- | :---------------- | :----------\n`nerves_serial_number` | `\"12345678\"`      | By default, this string is used to create unique hostnames and Erlang node names.\n\nThe normal procedure would be to set these keys once in manufacturing or before\ndeployment and then leave them alone.\n\nFor example, to provision a serial number on a running device, run the following\nand reboot:\n\n```elixir\niex> cmd(\"fw_setenv nerves_serial_number 12345678\")\n```\n\nThis system supports setting the serial number offline. To do this, set the\n`NERVES_SERIAL_NUMBER` environment variable when burning the firmware. If you're\nprogramming MicroSD cards using `fwup`, the commandline is:\n\n```sh\nsudo NERVES_SERIAL_NUMBER=12345678 fwup path_to_firmware.fw\n```\n\nSerial numbers are stored on the MicroSD card so if the MicroSD card is\nreplaced, the serial number will need to be reprogrammed. The numbers are stored\nin a U-boot environment block. This is a special region that is separate from\nthe application partition so reformatting the application partition will not\nlose the serial number or any other data stored in this block.\n\nAdditional key value pairs can be provisioned by overriding the default\nprovisioning.conf file location by setting the environment variable\n`NERVES_PROVISIONING=/path/to/provisioning.conf`. The default provisioning.conf\nwill set the `nerves_serial_number`, if you override the location to this file,\nyou will be responsible for setting this yourself.","ref":"readme.html#provisioning-devices"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v0.0.7 - Changelog","doc":"* Change Target Name to m5stack_core_mp135\n* Publication on hex.pm","ref":"changelog.html#v0-0-7"},{"type":"extras","title":"v0.0.6 - Changelog","doc":"* set default serial number \"0000\" by @masahiro-999 in https://github.com/masahiro-999/core_mp135/pull/12","ref":"changelog.html#v0-0-6"},{"type":"extras","title":"v0.0.5 - Changelog","doc":"* add kernel patch for core mp135 by @masahiro-999 in https://github.com/masahiro-999/core_mp135/pull/9\n* Add LT8618SX driver to enable HDMI output by @masahiro-999 in https://github.com/masahiro-999/core_mp135/pull/11","ref":"changelog.html#v0-0-5"},{"type":"extras","title":"v0.0.4 - Changelog","doc":"* Disable the firmware validation process. by @masahiro-999 in https://github.com/masahiro-999/core_mp135/pull/3\n* BR2_GLOBAL_PATCH_DIRの指定を適切にする by @masahiro-999 in https://github.com/masahiro-999/core_mp135/pull/4\n* add CONFIG_F2FS_FS=y by @masahiro-999 in https://github.com/masahiro-999/core_mp135/pull/6","ref":"changelog.html#v0-0-4"},{"type":"extras","title":"v0.0.2 - Changelog","doc":"Change Target Name to core_mp135.","ref":"changelog.html#v0-0-2"},{"type":"extras","title":"v0.0.1 - Changelog","doc":"* Initial release\n  * Port from osd32mp1 v0.19.1\n  * [nerves_system_br v1.28.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.28.3)\n  * [Buildroot 2024.05.2](https://lore.kernel.org/buildroot/87zfpfh147.fsf@dell.be.48ers.dk/T/)\n  * [Erlang/OTP 27.0.1](https://erlang.org/download/OTP-27.0.1.README)","ref":"changelog.html#v0-0-1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}